Bug 201477 - Review Request: perl-DateTime-Format-Mail
Review Request: perl-DateTime-Format-Mail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Package Reviews List
http://search.cpan.org/dist/DateTime-...
: Reopened
Depends On:
Blocks: FE-ACCEPT 201480
  Show dependency treegraph
 
Reported: 2006-08-05 20:03 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 19:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-05 20:03:48 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-Mail-0.30-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-Mail.spec

Description:
RFCs 2822 and 822 specify date formats to be used by email. This module parses
and emits such dates.

RFC2822 (April 2001) introduces a slightly different format of date than that
used by RFC822 (August 1982). The main correction is that the preferred format
is more limited, and thus easier to parse programmatically.

Despite the ease of generating and parsing perfectly valid RFC822 and RFC2822
people still get it wrong. This module aims to correct that.
Comment 1 Patrice Dumas 2006-08-06 08:42:17 EDT
A blocker:

- For t/pod99.t missing BuildRequires: perl(File::Find::Rule)

4 remarks:
- no need to 
  mv LICENCE LICENSE
  it is the spec file that must be american english
- in the man page there is a reference to t/invalid and 
  t/sample_dates, so it may be relevant to package t/ in
  %doc
- I have the habit to add a trailing / to directories in %files
  for example notes could be notes/
- it may be relevant to contact the upstream about version
  strings, and try to convince him to have version strings in ascii
  ascending order (relevant for other DateTime modules)

Otherwise
* rpmlint warning, may be ignored
W: perl-DateTime-Format-Mail strange-permission filter-requires.sh 0755
* free software, licences included
* meets packaging guidelines
* spec legible
* match upstream
d3940d6b387b75de0332201db1685e7d  ./DateTime-Format-Mail-0.30.tar.gz
* sane provides:
Provides: perl(DateTime::Format::Mail) = 0.30
* %files right

If you fix (or explain) the BuildRequires I'll approve
Comment 2 Chris Weyl 2006-08-06 12:46:33 EDT
SRPM URL:
http://home.comcast.net/~ckweyl/perl-DateTime-Format-Mail-0.30-2.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-DateTime-Format-Mail.spec

(In reply to comment #1)
> A blocker:
> 
> - For t/pod99.t missing BuildRequires: perl(File::Find::Rule)

Addressed above.

> 4 remarks:
> - no need to 
>   mv LICENCE LICENSE
>   it is the spec file that must be american english

Agreed, but easier to find this way, I think (particularly in an automated fashion).

> - in the man page there is a reference to t/invalid and 
>   t/sample_dates, so it may be relevant to package t/ in
>   %doc

Point well taken; added to %doc

> - I have the habit to add a trailing / to directories in %files
>   for example notes could be notes/

Appears directory ownership is maintained properly with this in %doc; changed.

> - it may be relevant to contact the upstream about version
>   strings, and try to convince him to have version strings in ascii
>   ascending order (relevant for other DateTime modules)

I'll drop them a note.  The version being filtered here is pretty old, so it
might not even be relevant in most cases anymore.

> Otherwise
[...snip...]
> If you fix (or explain) the BuildRequires I'll approve

Updated above! :)
Comment 3 Patrice Dumas 2006-08-06 16:23:06 EDT
The remaining issue is fixed, so

APPROVED
Comment 4 Chris Weyl 2006-08-06 21:38:43 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review!
Comment 5 Chris Weyl 2007-07-24 15:35:47 EDT
Please update:

Owner: Robin Norwood <rnorwood@redhat.com>

Thanks!
Comment 6 Robin Norwood 2007-07-27 09:59:52 EDT
And after you change the owner...

Package Change Request
======================
Package Name: perl-DateTime-Format-Mail
New Branches: EL-4 EL-5



(I assume it's easier for you cvs guys to do both at once.  I can file another
request if it would be more convenient for you)
Comment 7 Jason Tibbitts 2007-07-27 19:19:24 EDT
I don't think this ticket should have been opened; setting back to CLOSED
NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.